# Uses of Class
ch.qos.logback.core.spi.CyclicBufferTracker

Packages that use CyclicBufferTracker
Package
Description
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.

## Uses of CyclicBufferTracker in ch.qos.logback.core.net

Fields in ch.qos.logback.core.net declared as CyclicBufferTracker
Modifier and Type
Field
Description
`protected CyclicBufferTracker<E>`
SMTPAppenderBase.`cbTracker`
Methods in ch.qos.logback.core.net that return CyclicBufferTracker
Modifier and Type
Method
Description
`CyclicBufferTracker<E>`
SMTPAppenderBase.`getCyclicBufferTracker()`
Methods in ch.qos.logback.core.net with parameters of type CyclicBufferTracker
Modifier and Type
Method
Description
`void`
SMTPAppenderBase.`setCyclicBufferTracker(CyclicBufferTracker<E> cbTracker)`